<?php
declare(strict_types=1);

namespace App\Service\Export\Encoder;

interface EncoderInterface
{
    public function support(string $format): bool;

    /**
     * @param string $html
     * @param array<mixed> $options
     * @return string
     */
    public function encode(string $html, array $options = []): string;
}
